summaryrefslogtreecommitdiff
path: root/src/script/api/doxygen_filter.sh
diff options
context:
space:
mode:
authortruebrain <truebrain@openttd.org>2011-11-29 23:31:55 +0000
committertruebrain <truebrain@openttd.org>2011-11-29 23:31:55 +0000
commit0f9954ec1bfa95e487fa709cb64e01deb0e3cba8 (patch)
treeced3cb6f5a9d3206086f6ec4fb92f8cc35ec1d62 /src/script/api/doxygen_filter.sh
parent7158aaea3100fbae72c75645800592117375f897 (diff)
downloadopenttd-0f9954ec1bfa95e487fa709cb64e01deb0e3cba8.tar.xz
(svn r23374) -Add: Doxygen files for the NoAI API (Yexo)
Diffstat (limited to 'src/script/api/doxygen_filter.sh')
-rw-r--r--src/script/api/doxygen_filter.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/src/script/api/doxygen_filter.sh b/src/script/api/doxygen_filter.sh
new file mode 100644
index 000000000..fd8fca98b
--- /dev/null
+++ b/src/script/api/doxygen_filter.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# $Id$
+
+# This file is part of OpenTTD.
+# OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
+# OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
+
+# Set neutral locale so sort behaves the same everywhere
+LC_ALL=C
+export LC_ALL
+
+# We really need gawk for this!
+AWK=gawk
+
+${AWK} --version > /dev/null 2> /dev/null
+if [ "$?" != "0" ]; then
+ echo "This script needs gawk to run properly"
+ exit 1
+fi
+
+case $2 in
+ *ai_changelog.hpp) cat $2; exit 0;;
+esac
+
+${AWK} -v api=$1 -f doxygen_filter.awk $2